[blfs-book] r11790 - trunk/BOOK/general/prog

ken at higgs.linuxfromscratch.org ken at higgs.linuxfromscratch.org
Sat Sep 7 14:44:17 PDT 2013


Author: ken
Date: Sat Sep  7 14:44:16 2013
New Revision: 11790

Log:
Perl modules: index those in the book as a- (packages) instead of g- (others) - this matches the treatment of python modules. Start to tag for 7.4.  SGMLSpm split into two paras with tag in the middle.

Modified:
   trunk/BOOK/general/prog/perl-modules.xml

Modified: trunk/BOOK/general/prog/perl-modules.xml
==============================================================================
--- trunk/BOOK/general/prog/perl-modules.xml	Sat Sep  7 13:44:55 2013	(r11789)
+++ trunk/BOOK/general/prog/perl-modules.xml	Sat Sep  7 14:44:16 2013	(r11790)
@@ -50,13 +50,15 @@
     Archive::Zip-&Archive-Zip-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-archive-zip">
-      <primary sortas="g-Archive-Zip">Archive::Zip</primary>
+      <primary sortas="a-Archive-Zip">Archive::Zip</primary>
     </indexterm>
 
     <para>The Archive::Zip module allows a <application>Perl</application>
     program to create, manipulate, read, and write Zip archive files. This
     module uses the standard <xref linkend="perl-standard-install"/>.</para>
 
+    &lfs74_checked;
+
     <itemizedlist>
       <listitem>
         <para>
@@ -72,7 +74,7 @@
     Crypt::SSLeay-&Crypt-SSLeay-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-crypt-ssleay">
-      <primary sortas="g-Crypt-SSLeay">Crypt::SSLeay</primary>
+      <primary sortas="a-Crypt-SSLeay">Crypt::SSLeay</primary>
     </indexterm>
 
     <para>The Crypt::SSLeay module provides support for the HTTPS protocol under
@@ -136,7 +138,7 @@
     Date::Manip-&Date-Manip-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-date-manip">
-      <primary sortas="g-Date-Manip">Date::Manip</primary>
+      <primary sortas="a-Date-Manip">Date::Manip</primary>
     </indexterm>
 
     <para>Date::Manip is a set of routines designed to make any common
@@ -170,7 +172,7 @@
     ExtUtils::Depends-&ExtUtils-Depends-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-extutils-depends">
-      <primary sortas="g-ExtUtils-Depends">ExtUtils::Depends</primary>
+      <primary sortas="a-ExtUtils-Depends">ExtUtils::Depends</primary>
     </indexterm>
 
     <para>
@@ -195,7 +197,7 @@
     ExtUtils::PkgConfig-&ExtUtils-PkgConfig-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-extutils-pkgconfig">
-      <primary sortas="g-ExtUtils-PkgConfig">ExtUtils::PkgConfig</primary>
+      <primary sortas="a-ExtUtils-PkgConfig">ExtUtils::PkgConfig</primary>
     </indexterm>
 
     <para>
@@ -228,7 +230,7 @@
     Finance::Quote-&Finance-Quote-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-finance-quote">
-      <primary sortas="g-Finance-Quote">Finance::Quote</primary>
+      <primary sortas="a-Finance-Quote">Finance::Quote</primary>
     </indexterm>
 
     <para>Finance::Quote is used to get stock quotes from various Internet
@@ -292,7 +294,7 @@
     Finance::QuoteHist-&Finance-QuoteHist-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-finance-quotehist">
-      <primary sortas="g-Finance-QuoteHist">Finance::QuoteHist</primary>
+      <primary sortas="a-Finance-QuoteHist">Finance::QuoteHist</primary>
     </indexterm>
 
     <para>The Finance::QuoteHist bundle is several modules designed to fetch
@@ -345,7 +347,7 @@
     Glib-&Glib-perl-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-glib">
-      <primary sortas="g-Glib">Glib</primary>
+      <primary sortas="a-Glib">Glib</primary>
     </indexterm>
 
     <para>
@@ -386,7 +388,7 @@
     HTML::Parser-&HTML-Parser-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-html-parser">
-      <primary sortas="g-HTML-Parser">HTML::Parser</primary>
+      <primary sortas="a-HTML-Parser">HTML::Parser</primary>
     </indexterm>
 
     <para>The HTML::Parser distribution is a collection of modules that parse
@@ -394,6 +396,8 @@
     modules use the standard
     <xref linkend="perl-standard-install"/>.</para>
 
+    &lfs74_checked;
+
     <itemizedlist>
       <listitem>
         <para>
@@ -423,7 +427,7 @@
     HTML::TableExtract-&HTML-TableExtract-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-html-tableextract">
-      <primary sortas="g-HTML-TableExtract">HTML::TableExtract</primary>
+      <primary sortas="a-HTML-TableExtract">HTML::TableExtract</primary>
     </indexterm>
 
     <para>HTML::TableExtract is a module that simplifies the extraction of the
@@ -482,7 +486,7 @@
     libwww-perl-&LWP-version; (a.k.a. LWP)</bridgehead>
 
     <indexterm zone="perl-modules perl-lwp">
-      <primary sortas="g-libwww-perl">libwww-perl</primary>
+      <primary sortas="a-libwww-perl">libwww-perl</primary>
     </indexterm>
 
     <para>The libwww-perl (LWP) collection is a set of
@@ -623,7 +627,7 @@
     Module::Info-&Module-Info-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-module-info">
-      <primary sortas="g-Module-Info">Module::Info</primary>
+      <primary sortas="a-Module-Info">Module::Info</primary>
     </indexterm>
 
     <para>The Module::Info module is quite useful for tasks other than just
@@ -652,7 +656,7 @@
     Module::Signature-&Module-Signature-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-module-signature">
-      <primary sortas="g-Module-Signature">Module::Signature</primary>
+      <primary sortas="a-Module-Signature">Module::Signature</primary>
     </indexterm>
 
     <para>The Module::Signature module is used to check and create
@@ -719,7 +723,7 @@
     Net::DNS-&Net-DNS-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-net-dns">
-      <primary sortas="g-Net-DNS">Net::DNS</primary>
+      <primary sortas="a-Net-DNS">Net::DNS</primary>
     </indexterm>
 
     <para>Net::DNS is a DNS resolver implemented in
@@ -728,6 +732,8 @@
     module and all its dependencies are installed using the standard
     <xref linkend="perl-standard-install"/>.</para>
 
+    &lfs74_checked;
+
     <itemizedlist>
       <listitem>
         <para>
@@ -763,13 +769,17 @@
     SGMLSpm-&SGMLSpm-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-sgmlspm">
-      <primary sortas="g-SGMLSpm">SGMLSpm</primary>
+      <primary sortas="a-SGMLSpm">SGMLSpm</primary>
     </indexterm>
 
     <para>The SGMLSpm module is a <application>Perl</application> library
     used for parsing the output from James Clark's SGMLS and NSGMLS
     parsers. This modules uses the standard
-    <xref linkend="perl-standard-install"/>. Before beginning the build, issue
+    <xref linkend="perl-standard-install"/>.</para>
+
+    &lfs74_checked;
+
+    <para> Before beginning the build, issue
     the following command to prevent an error:</para>
 
 <screen><userinput>chmod -v 644 MYMETA.yml</userinput></screen>
@@ -789,7 +799,7 @@
     Text::Diff-&Text-Diff-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-text-diff">
-      <primary sortas="g-Text-Diff">Text::Diff</primary>
+      <primary sortas="a-Text-Diff">Text::Diff</primary>
     </indexterm>
 
     <para>Text::Diff is used to perform diffs on files and record sets. It
@@ -825,7 +835,7 @@
     Tk-&Tk-Perl-version;</bridgehead>
 
     <indexterm zone="perl-modules tk-perl">
-      <primary sortas="g-Tk">Tk</primary>
+      <primary sortas="a-Tk">Tk</primary>
     </indexterm>
 
     <para>The <application>Tk</application> module is a
@@ -860,7 +870,7 @@
     URI-&URI-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-uri">
-      <primary sortas="g-URI">URI</primary>
+      <primary sortas="a-URI">URI</primary>
     </indexterm>
 
     <para>
@@ -876,6 +886,8 @@
       <xref linkend="perl-standard-install"/>.
     </para>
 
+    &lfs74_checked;
+
     <itemizedlist>
       <listitem>
         <para>
@@ -891,7 +903,7 @@
     XML::Parser-&XML-Parser-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-xml-parser">
-      <primary sortas="g-XML-Parser">XML::Parser</primary>
+      <primary sortas="a-XML-Parser">XML::Parser</primary>
     </indexterm>
 
     <para>The XML::Parser module is a <application>Perl</application> extension
@@ -899,6 +911,8 @@
     <application>expat</application>. The module uses the standard
     <xref linkend="perl-standard-install"/>.</para>
 
+    &lfs74_checked;
+
     <itemizedlist>
       <listitem>
         <para>
@@ -927,7 +941,7 @@
     XML::Simple-&XML-Simple-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-xml-simple">
-      <primary sortas="g-XML-Simple">XML::Simple</primary>
+      <primary sortas="a-XML-Simple">XML::Simple</primary>
     </indexterm>
 
     <para>The XML::Simple module is a <application>Perl</application> extension
@@ -935,6 +949,8 @@
     This module and all dependency modules use the standard
     <xref linkend="perl-standard-install"/>.</para>
 
+    &lfs74_checked;
+
     <itemizedlist>
       <listitem>
         <para>
@@ -997,7 +1013,7 @@
     YAML-&YAML-version;</bridgehead>
 
     <indexterm zone="perl-modules perl-yaml">
-      <primary sortas="g-YAML">YAML</primary>
+      <primary sortas="a-YAML">YAML</primary>
     </indexterm>
 
     <para>The <application>YAML</application> modules implement a



More information about the blfs-book mailing list